// JavaScript Document
///jf noblet novembre 2001
window.history.forward(1);
var	ie4 = (document.all) && (!document.getElementById)
var	ns4 = document.layers
var dom = document.getElementById; //ie5 ou ns6
var net = (navigator.appName.substring(0,3) == "Net")

//fonction à placer dans <BODY ONLOAD="initnav()"   >
//function initnav() //précautions oratoires
//{ 	
if (ns4)
		{layerRef = "document.layers";v=".top=";h=".left="
	 	styleRef = "";ctn=".document.write('";ctn2="')";
	 	cro1="['";cro2="']";bgd=".bgColor";eg="";cro3=""
		}
	if (ie4)
		{layerRef = "document.all";cro3="";h=".pixelLeft=";v=".pixelTop="
	 	styleRef = ".style";ctn=".innerHTML";ctn2="";
		cro1="['";cro2="']";bgd=".backgroundColor";eg="="
		}
	if (dom)
		{layerRef ="document.getElementById";
		styleRef = ".style";ctn2="";eg="="
		cro1='("';h=".left=";v=".top="
		cro2='")';bgd=".backgroundColor";ctn=".innerHTML";
		cro3='"';//nécessaire pour encadrer une variable texte 
		}
		//calculatrice
function calcul(){
document.f1.tt7.value=eval(document.f1.tt6.value)}
		//points
var pt=eval(parent.haut.document.f1.t2.value); //note
var qu=0;//nbre de questions exactes
var va=0;//commutzateur
var pt2=0;//pts gagnés sur la question
var tf;
var rep1="?"; var rep2="?"; var rep3="?"; var rep4="?";
var q=eval(parent.haut.document.f1.t1.value)//#question
var cc=new Array(9)//les cases à cocher ou non
for (var i=0; i < cc.length; ++i){
	cc[i]=0}
var repo1="1 s";
	var repo2="0.025 m";
	var repo3="0.025 m/s";
	var repo4="1 mm";	
//parent.haut.document.f1.t1.value=eval(q+1);
//chrono
var mis = 0;
var state2 = 0;

function startstop() {
if (state2 == 0) {
state2 = 1;
then2 = new Date();
then2.setTime(then2.getTime() - mis);
} else {
state2 = 0;
now2 = new Date();
mis = now2.getTime() - then2.getTime();
document.f1.T1.value = mis;
   }
}

function swreset() {
state2 = 0;
mis = 0;
document.f1.T1.value = mis;
}

function display() {
setTimeout("display();", 50);
if (state2 == 1)  {now2 = new Date();
mis = now2.getTime() - then2.getTime();
document.f1.T1.value = mis;
   }
}

window.onload=display
//fin chrono
function moy(){
var z=0;

x1=eval(document.f1.T6.value);
x2=eval(document.f1.T2.value);
x3=eval(document.f1.T3.value);
x4=eval(document.f1.T4.value);
x5=eval(document.f1.T5.value);
if(document.f1.T6.value==""){x1=0}
else{z+=1;}
if(document.f1.T2.value==""){x2=0}
else{z+=1;}
if(document.f1.T3.value==""){x3=0}
else{z+=1;}
if(document.f1.T4.value==""){x4=0}
else{z+=1;}
if(document.f1.T5.value==""){x5=0}
else{z+=1;}

if(z==0){document.f1.T7.value="?"}
else{
document.f1.T7.value=eval((x1+x2+x3+x4+x5)/z);}}
function conseil(x){
alert("Calcul : f=1/T \Cette valeur "+x+" Hz comporte-telle 3 chiffres significatifs ?\n N'oublie pas que les 0 placés avant le premier chiffre non nul ne sont pas des chiffres significatifs\n (exemple : 0.03 = 3 e-2  : 1 seul chiffre significatif ! )\n As-tu pensé à calculer correctement la période en divisant chaque mesure par 10 si tu as mesuré à chaque fois 10 périodes.")}

function calculs(){
document.f1.T9.value=eval(document.f1.T8.value);}
//validation

function valider(){MM_preloadImages('x2.jpg');
	if(va==0)
	{
		rep1=document.f1.tt1.value+"s";
		rep2=document.f1.tt2.value+"m";
		rep3=document.f1.tt3.value+"m/s";
		rep4=document.f1.tt4.value+"mm";
if((document.f1.tt1.value>=0.97)&&(document.f1.tt1.value<=1.03)){pt+=0.5;pt2+=0.5;qu+=1}
if((document.f1.tt2.value>=0.024)&&(document.f1.tt2.value<=0.026)){pt+=0.5;pt2+=0.5;qu+=1}
if((document.f1.tt3.value>=0.024)&&(document.f1.tt3.value<=0.026)){pt+=0.5;pt2+=0.5;qu+=1}
if((document.f1.tt4.value>=0.9)&&(document.f1.tt4.value<=1.1)){pt+=0.5;pt2+=0.5;qu+=1}

	if(parent.haut.document.f1.tst6.value=="1"){alert("inutile d'essayer de tricher")}
	if(parent.haut.document.f1.tst6.value==""){	
	ptt=0.01*Math.round(pt*100);
	parent.haut.document.f1.t2.value=eval(ptt);
	ptt2=0.01*Math.round(pt2*100);
	parent.haut.document.f1.h2.value=eval(ptt2);
	//parent.haut.document.f1.h3.value=temps2;
	duree1=eval(parent.haut.document.f1.h4.value);
	//duree2=eval(duree1+s);
	//parent.haut.document.f1.h5.value=duree2;
	//parent.haut.document.f1.h4.value=s;
	parent.haut.document.f1.tst6.value="1"

	}
	va=1;}
	
	var contenu ="<div id='barre' style='position:relative; width:650px; height:22px; z-index:20; visibility: visible;'><table width='100%'  border='1' cellpadding='0' cellspacing='0' class='slt'><tr><td width='98%'>C O R R E C T I O N</td><td width='2%'><a href='#' onMouseOut='MM_swapImgRestore()' onMouseOver=MM_swapImage('Imagex','','x2.jpg',1) onclick='fermer()'><img src='x.jpg' alt='fermer' name='Imagex' width='21' height='21' border='0'></a></td></tr></table></div>"+"<table width=100%  border=0 cellspacing=0 cellpadding=0 class=rep><tr><td width=86><img src=artemis.gif width=86 height=178 alt='&#913;&#961;&#964;&#951;&#956;&#953;&#962;'></td><td width=40%><p class=text><div align=center>Il y a 4 longueurs d'onde sur 10 cm. <br>Chaque point oscille de 1 mm autour de sa position d'équilibre.<br> La période = durée pour que chaque point retrouve la même position. </div></p></td>"+
 "<td width=60%><table width=100%  border=1 cellspacing=1 cellpadding=1 class=rep><tr><td width=50%>votre r&eacute;ponse </td>"+
 "<td width=50%>solution</td></tr><tr><td>"+rep1+"</td><td>"+repo1+"</td></tr><tr><td>"+rep2+"</td> <td>"+repo2+"</td></tr><tr><td>"+rep3+"</td><td>"+repo3+"</td>"+
"</tr><tr><td>"+rep4+"</td><td>"+repo4+"</td></tr><tr><td colspan=2><p>vous avez "+qu+" r&eacute;ponse(s) exacte(s), vous avez gagn&eacute; "+ptt2+" point(s) </p></td></tr>"+
"<tr><td colspan=2><p>(vous pouvez aussi d&eacute;placer cette fen&ecirc;tre &agrave; la souris) </p></td></tr></table></td></tr></table> "

	
	eval(layerRef+cro1+"solu"+cro2+ctn+eg+cro3+contenu+cro3+ctn2); 
	 	if (ns4){eval(layerRef+cro1+"solu"+cro2+".document.close()");}
	 	eval(layerRef+cro1+"solu"+cro2+styleRef+".visibility = 'visible'");
		}
		
		
		function fermer(){
			eval(layerRef+cro1+"solu"+cro2+styleRef+".visibility = 'hidden'");
			eval(layerRef+cro1+"barre"+cro2+styleRef+".visibility = 'hidden'");
		}
		
///Disable right click script III- By Renigade (renigade@mediaone.net)
//For full source code, visit http://www.dynamicdrive.com

var message="";
///////////////////////////////////
function clickIE() {if (document.all) {(message);return false;}}
function clickNS(e) {if 
(document.layers||(document.getElementById&&!document.all)) {
if (e.which==2||e.which==3) {(message);return false;}}}
if (document.layers) 
{document.captureEvents(Event.MOUSEDOWN);document.onmousedown=clickNS;}
else{document.onmouseup=clickNS;document.oncontextmenu=clickIE;}

document.oncontextmenu=new Function("return false")
